/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.manifest.valueobject;

import java.util.List;

/**
 * Java MANIFEST.MF をあらわすバリューオブジェクト。
 */
public class BlancoManifest {
    /**
     * フィールド [Manifest-Version]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["1.0"]<br>
     */
    private String fManifestVersion = "1.0";

    /**
     * フィールド [entryList]
     *
     * 項目の型 [java.util.List<blanco.manifest.valueobject.BlancoManifestEntry>]<br>
     * 規定値   [new java.util.ArrayList<blanco.manifest.valueobject.BlancoManifestEntry>()]<br>
     */
    private List<blanco.manifest.valueobject.BlancoManifestEntry> fEntryList = new java.util.ArrayList<blanco.manifest.valueobject.BlancoManifestEntry>();

    /**
     * フィールド [Manifest-Version]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     *
     * @param argManifestVersion フィールド[Manifest-Version]に格納したい値
     */
    public void setManifestVersion(final String argManifestVersion) {
        fManifestVersion = argManifestVersion;
    }

    /**
     * フィールド[Manifest-Version]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["1.0"]<br>
     *
     * @return フィールド[Manifest-Version]に格納されている値
     */
    public String getManifestVersion() {
        return fManifestVersion;
    }

    /**
     * フィールド [entryList]のセッターメソッド
     *
     * 項目の型 [java.util.List<blanco.manifest.valueobject.BlancoManifestEntry>]<br>
     *
     * @param argEntryList フィールド[entryList]に格納したい値
     */
    public void setEntryList(final List<blanco.manifest.valueobject.BlancoManifestEntry> argEntryList) {
        fEntryList = argEntryList;
    }

    /**
     * フィールド[entryList]のゲッターメソッド
     *
     * 項目の型 [java.util.List<blanco.manifest.valueobject.BlancoManifestEntry>]<br>
     * 規定値   [new java.util.ArrayList<blanco.manifest.valueobject.BlancoManifestEntry>()]<br>
     *
     * @return フィールド[entryList]に格納されている値
     */
    public List<blanco.manifest.valueobject.BlancoManifestEntry> getEntryList() {
        return fEntryList;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.manifest.valueobject.BlancoManifest[");
        buf.append("Manifest-Version=" + fManifestVersion);
        buf.append(",entryList=" + fEntryList);
        buf.append("]");
        return buf.toString();
    }
}
